package com.onkyo.jp.hfplayer_unlocker;

interface IUnlockerAppServiceCallback {
	/**
	 * HF Player Unlockerアプリのライセンス認証後に実行されます。 
	 * @param result ライセンス認証結果
	 */
	void onReciveVerifiedLicenseResult(int result);
	
	/**
	 * HF Player Unlockerアプリのライセンス認証がエラーで終了した場合に実行されます。
	 * @param errorCode エラーコード
	 */
	void onReciveVerificationError(int errorCode);
}
