package com.onkyo;

import com.onkyo.IScanServiceCallback;
import com.onkyo.IScanServiceOnInitCallback;
import com.onkyo.IScanServiceEventListener;

interface IScanService {
	void init(in String dbPath, in boolean fullScan, in IScanServiceOnInitCallback callback);
    void scan(in List<String> paths, in boolean fullScan, in int operationFlags, in IScanServiceCallback callback);
    void cancel();
    void sendOnUpdate();
	void registerOnUpdateListener(in IScanServiceEventListener callback);
}

